WOOOOOOOT! Ipod touch 4G finally!

Discussion in 'iPod touch' started by RubyRa1n, Sep 25, 2010.

  1. RubyRa1n

    RubyRa1n Member

    Joined:
    Jul 22, 2010
    Messages:
    659
    Likes Received:
    4
    Device:
    4G iPod touch
    Ok so i got my ipt4g and i opened the box and obv it went to "connect to itunes" i tried and itunes does not seem to find my ipod touch...i have itunes 9.0.2.25. Do i need to upgrade to itunes 10? i really do not want that. so what can i do so it finds my ipod?
  2. Syme

    Syme New Member

    Joined:
    May 15, 2010
    Messages:
    358
    Likes Received:
    0
    Device:
    3G iPod touch
    yeah you have to upgrade to itunes 10
  3. whcodered

    whcodered Member

    Joined:
    Oct 11, 2007
    Messages:
    247
    Likes Received:
    0
    Device:
    4G iPod touch
    Yes, you need iTunes 10.
  4. TchnclFl

    TchnclFl New Member

    Joined:
    Sep 7, 2010
    Messages:
    631
    Likes Received:
    0
    Device:
    4G iPod touch
    1) Congratulations!

    2) like everyone else said, you need iTunes 10 (10.0.1 now

    Please Register or Log in to view images

    ).
  5. CaliLove310

    CaliLove310 New Member

    Joined:
    Aug 23, 2009
    Messages:
    5
    Likes Received:
    0
    Device:
    2G iPod touch
    itunes 9.2 or later is needed. Might as well update to itunes 10
  6. RubyRa1n

    RubyRa1n Member

    Joined:
    Jul 22, 2010
    Messages:
    659
    Likes Received:
    4
    Device:
    4G iPod touch
    ok thanks..thats dumb :-/
  7. TchnclFl

    TchnclFl New Member

    Joined:
    Sep 7, 2010
    Messages:
    631
    Likes Received:
    0
    Device:
    4G iPod touch
    Apple: Trying to force you to upgrade since 1976.

    Please Register or Log in to view images

  8. RubyRa1n

    RubyRa1n Member

    Joined:
    Jul 22, 2010
    Messages:
    659
    Likes Received:
    4
    Device:
    4G iPod touch
    haha nice nice ^
  9. Wrong.
    iTunes 10 or later.
  10. Eddiewattz

    Eddiewattz Member

    Joined:
    Sep 25, 2010
    Messages:
    210
    Likes Received:
    6
    Device:
    iPad 2 (Black)
    Wrong.
    I just purchased a ipt4g and I have 9.2, syncs just fine.

Share This Page